local Num = 2

local Task = {
    [1] = {
        id=2111,
        type=1,
        BeginTime=20210420000000,
        EndTime=20210517235959,
        pic="XunBao_TB1",
        ItemType="3334598:1:0,730004:1:1,3009101:1:0,3321077:1:0",  -- 字符串显示，用“，”隔开，第一位ID，第二位数量，第三位0表示非赠，1表示赠品
        ItemNeed=3600340,
        MapBg="XunBao_BG3",
        DebrisSerialPic="XunBao_Map",
        DebrisNum=12,
        TitlePic="XunBao_TB1",                  ------新增标题图片下面的都是测试图片
    },
    [2] = {
        id=2112,
        type=1,
        BeginTime=20210420000000,
        EndTime=20210517235959,
        pic="XunBao_TB1",
        ItemType="3334599:1:0,730005:1:1,3009101:1:0,4060001:15:1",
        ItemNeed=3600341,
        MapBg="XunBao_BG3",
        DebrisSerialPic="XunBao_Map",
        DebrisNum=12,
        TitlePic="XunBao_TB1",                  ------新增标题图片下面的都是测试图片
    },
}

local function GetNum()
    return Num
end
local function GetTaskInfo(index,key)
    local task = Task[index]
    
    if (task ~= nil) then
        local ret = task[key]
		if (ret ~= nil) then
			return ret
		end
	end
	return nil
end


---------------------------------------------------------------------------------------------------------------------------------------------------------
local global_Info = {
    --全服寻宝开启时间
    -- ["Time"] = 20220320235959,
    --寻获奖励界面的显示时间
    ["ShowTime"] = 5000,
    --寻获奖励界面的物品底框
    ["ItemBg"] = "NewJiuGong_Item1Pic",
    --奖励物品为几个是的偏移，为了居中
    ["RewardNumOffset1"] = 128,
    ["RewardNumOffset2"] = 96,
    ["RewardNumOffset3"] = 64,
    ["RewardNumOffset4"] = 32,
    ["RewardNumOffset5"] = 0,
	["data0"] = 300,
    ["data1"] = 76,
    --个人开启时间
    ["Time0"] = 2309032359,
    --全服开启时间，原先的[Time]变成Time1
    ["Time1"] = 2207182359,
    ["Time2"] = 2208172359,
} 

local PlaceIndex = {
    [0] = 1,
    [1] = 2,
    [2] = 3,
    [3] = 4,
    [4] = 5,
    [5] = 6,
    [6] = 7,
    [7] = 8,
    [8] = 9,
    [9] = 10,
    [10] = 11,
    [11] = 12,
}

--全服寻宝区域信息
local PlaceInfo = {
    --这个id与Task集合的id不能重复
    [001] = {
        --该地区的详细信息中的奖励索引
        ["RewardId"] = 1001,
        --该地区的地图图片
        ["Ani"]="XunBao_xmap1", 
        ["Rgn"] = "data\\interface\\Style01\\XunBao\\map\\1_0.rgn",
        --该地区宝箱的最大值
        ["NaxNum"] = 90,
        --地区名字
        ["Name"] = "STR_ALL_SERVER_HUNT_MAP_NAME1",
    },
    [002] = {
        ["RewardId"] = 1002,
        ["Ani"]="XunBao_xmap2", 
        ["Rgn"] = "data\\interface\\Style01\\XunBao\\map\\2_0.rgn",
        ["NaxNum"] = 15,
        ["Name"] = "STR_ALL_SERVER_HUNT_MAP_NAME2",
    },
    [003] = {
        ["RewardId"] = 1003,
        ["Ani"]="XunBao_xmap3", 
        ["Rgn"] = "data\\interface\\Style01\\XunBao\\map\\3_0.rgn",
        ["NaxNum"] = 90,
        ["Name"] = "STR_ALL_SERVER_HUNT_MAP_NAME3",
    },
    [004] = {
        ["RewardId"] = 1004,
        ["Ani"]="XunBao_xmap4", 
        ["Rgn"] = "data\\interface\\Style01\\XunBao\\map\\4_0.rgn",
        ["NaxNum"] = 45,
        ["Name"] = "STR_ALL_SERVER_HUNT_MAP_NAME4",
    },
    [005] = {
        ["RewardId"] = 1005,
        ["Ani"]="XunBao_xmap5", 
        ["Rgn"] = "data\\interface\\Style01\\XunBao\\map\\5_0.rgn",
        ["NaxNum"] = 45,
        ["Name"] = "STR_ALL_SERVER_HUNT_MAP_NAME5",
    },
    [006] = {
        ["RewardId"] = 1006,
        ["Ani"]="XunBao_xmap6", 
        ["Rgn"] = "data\\interface\\Style01\\XunBao\\map\\6_0.rgn",
        ["NaxNum"] = 120,
        ["Name"] = "STR_ALL_SERVER_HUNT_MAP_NAME6",
    },
    [007] = {
        ["RewardId"] = 1007,
        ["Ani"]="XunBao_xmap7", 
        ["Rgn"] = "data\\interface\\Style01\\XunBao\\map\\7_0.rgn",
        ["NaxNum"] = 90,
        ["Name"] = "STR_ALL_SERVER_HUNT_MAP_NAME7",
    },
    [008] = {
        ["RewardId"] = 1008,
        ["Ani"]="XunBao_xmap8", 
        ["Rgn"] = "data\\interface\\Style01\\XunBao\\map\\8_0.rgn",
        ["NaxNum"] = 45,
        ["Name"] = "STR_ALL_SERVER_HUNT_MAP_NAME8",
    },
    [009] = {
        ["RewardId"] = 1009,
        ["Ani"]="XunBao_xmap9", 
        ["Rgn"] = "data\\interface\\Style01\\XunBao\\map\\9_0.rgn",
        ["NaxNum"] = 90,
        ["Name"] = "STR_ALL_SERVER_HUNT_MAP_NAME9",
    },
    [010] = {
        ["RewardId"] = 1010,
        ["Ani"]="XunBao_xmap10", 
        ["Rgn"] = "data\\interface\\Style01\\XunBao\\map\\10_0.rgn",
        ["NaxNum"] = 90,
        ["Name"] = "STR_ALL_SERVER_HUNT_MAP_NAME10",
    },
    [011] = {
        ["RewardId"] = 1011,
        ["Ani"]="XunBao_xmap11", 
        ["Rgn"] = "data\\interface\\Style01\\XunBao\\map\\11_0.rgn",
        ["NaxNum"] = 30,
        ["Name"] = "STR_ALL_SERVER_HUNT_MAP_NAME11",
    },
    [012] = {
        ["RewardId"] = 1012,
        ["Ani"]="XunBao_xmap12", 
        ["Rgn"] = "data\\interface\\Style01\\XunBao\\map\\12_0.rgn",
        ["NaxNum"] = 30,
        ["Name"] = "STR_ALL_SERVER_HUNT_MAP_NAME12",
    },
}


--奖励数据的集合
local RewardInfo = {
	--区域黄金大奖
    --与脚本的奖励索引对应
    [1001] = {
        --里面索引从1开始
        [1] = {
            ["ItemType"] = 3314250,
            ["Num"]=1,
            ["Monopoly"] = 1,
        },
		-- [2] = {
            -- ["ItemType"] = 3335823,
            -- ["Num"]=1,
            -- ["Monopoly"] = 0,
        -- },
		-- [3] = {
            -- ["ItemType"] = 723694,
            -- ["Num"]=1,
            -- ["Monopoly"] = 1,
        -- },
    },
    [1002] = {
        [1] = {
            ["ItemType"] = 3314245,
            ["Num"]=1,
            ["Monopoly"] = 1,
        },
		-- [2] = {
            -- ["ItemType"] = 3335823,
            -- ["Num"]=1,
            -- ["Monopoly"] = 0,
        -- },
		-- [3] = {
            -- ["ItemType"] = 723694,
            -- ["Num"]=1,
            -- ["Monopoly"] = 1,
        -- },
    },
	[1003] = {
        [1] = {
            ["ItemType"] = 3335820,
            ["Num"]=1,
            ["Monopoly"] = 0,
        },
		-- [2] = {
            -- ["ItemType"] = 3335823,
            -- ["Num"]=1,
            -- ["Monopoly"] = 0,
        -- },
		-- [3] = {
            -- ["ItemType"] = 723694,
            -- ["Num"]=1,
            -- ["Monopoly"] = 1,
        -- },
    },
	[1004] = {
        [1] = {
            ["ItemType"] = 3331754,
            ["Num"]=1,
            ["Monopoly"] = 0,
        },
		-- [2] = {
            -- ["ItemType"] = 3335823,
            -- ["Num"]=1,
            -- ["Monopoly"] = 0,
        -- },
		-- [3] = {
            -- ["ItemType"] = 723694,
            -- ["Num"]=1,
            -- ["Monopoly"] = 1,
        -- },
    },
	[1005] = {
        [1] = {
            ["ItemType"] = 3335821,
            ["Num"]=1,
            ["Monopoly"] = 0,
        },
		-- [2] = {
            -- ["ItemType"] = 3335823,
            -- ["Num"]=1,
            -- ["Monopoly"] = 0,
        -- },
		-- [3] = {
            -- ["ItemType"] = 723694,
            -- ["Num"]=1,
            -- ["Monopoly"] = 1,
        -- },
    },
	[1006] = {
        [1] = {
            ["ItemType"] = 3329302,
            ["Num"]=5,
            ["Monopoly"] = 0,
        },
		-- [2] = {
            -- ["ItemType"] = 3335823,
            -- ["Num"]=1,
            -- ["Monopoly"] = 0,
        -- },
		-- [3] = {
            -- ["ItemType"] = 723694,
            -- ["Num"]=1,
            -- ["Monopoly"] = 1,
        -- },
    },
	[1007] = {
        [1] = {
            ["ItemType"] = 730007,
            ["Num"]=1,
            ["Monopoly"] = 1,
        },
		-- [2] = {
            -- ["ItemType"] = 3335823,
            -- ["Num"]=1,
            -- ["Monopoly"] = 0,
        -- },
		-- [3] = {
            -- ["ItemType"] = 723694,
            -- ["Num"]=1,
            -- ["Monopoly"] = 1,
        -- },
    },
	[1008] = {
        [1] = {
            ["ItemType"] = 723695,
            ["Num"]=1,
            ["Monopoly"] = 1,
        },
		-- [2] = {
            -- ["ItemType"] = 3335823,
            -- ["Num"]=1,
            -- ["Monopoly"] = 0,
        -- },
		-- [3] = {
            -- ["ItemType"] = 723694,
            -- ["Num"]=1,
            -- ["Monopoly"] = 1,
        -- },
    },
	[1009] = {
        [1] = {
            ["ItemType"] = 3009003,
            ["Num"]=1,
            ["Monopoly"] = 0,
        },
		-- [2] = {
            -- ["ItemType"] = 3335823,
            -- ["Num"]=1,
            -- ["Monopoly"] = 0,
        -- },
		-- [3] = {
            -- ["ItemType"] = 723694,
            -- ["Num"]=1,
            -- ["Monopoly"] = 1,
        -- },
    },
	[1010] = {
        [1] = {
            ["ItemType"] = 3328814,
            ["Num"]=1,
            ["Monopoly"] = 0,
        },
		-- [2] = {
            -- ["ItemType"] = 3335823,
            -- ["Num"]=1,
            -- ["Monopoly"] = 0,
        -- },
		-- [3] = {
            -- ["ItemType"] = 723694,
            -- ["Num"]=1,
            -- ["Monopoly"] = 1,
        -- },
    },
	[1011] = {
        [1] = {
            ["ItemType"] = 3335925,
            ["Num"]=1,
            ["Monopoly"] = 0,
        },
		-- [2] = {
            -- ["ItemType"] = 3335823,
            -- ["Num"]=1,
            -- ["Monopoly"] = 0,
        -- },
		-- [3] = {
            -- ["ItemType"] = 723694,
            -- ["Num"]=1,
            -- ["Monopoly"] = 1,
        -- },
    },
	[1012] = {
        [1] = {
            ["ItemType"] = 3335930,
            ["Num"]=1,
            ["Monopoly"] = 0,
        },
		-- [2] = {
            -- ["ItemType"] = 3335823,
            -- ["Num"]=1,
            -- ["Monopoly"] = 0,
        -- },
		-- [3] = {
            -- ["ItemType"] = 723694,
            -- ["Num"]=1,
            -- ["Monopoly"] = 1,
        -- },
    },
	--排行榜奖励
	[1013] = {
        [1] = {
            ["ItemType"] = 3335925,
            ["Num"]=1,
            ["Monopoly"] = 0,
        },
		[2] = {
            ["ItemType"] = 4060001,
            ["Num"]=500,
            ["Monopoly"] = 1,
        },
		[3] = {
            ["ItemType"] = 730005,
            ["Num"]=1,
            ["Monopoly"] = 1,
        },
		[4] = {
            ["ItemType"] = 3009002,
            ["Num"]=1,
            ["Monopoly"] = 1,
        },
		[5] = {
            ["ItemType"] = 3328813,
            ["Num"]=5,
            ["Monopoly"] = 0,
        },
    },
	[1014] = {
        [1] = {
            ["ItemType"] = 3335924,
            ["Num"]=1,
            ["Monopoly"] = 0,
        },
		[2] = {
            ["ItemType"] = 4060001,
            ["Num"]=300,
            ["Monopoly"] = 1,
        },
		[3] = {
            ["ItemType"] = 730005,
            ["Num"]=1,
            ["Monopoly"] = 1,
        },
		[4] = {
            ["ItemType"] = 3328813,
            ["Num"]=5,
            ["Monopoly"] = 0,
        },
    },
	[1015] = {
        [1] = {
            ["ItemType"] = 3335923,
            ["Num"]=1,
            ["Monopoly"] = 0,
        },
		[2] = {
            ["ItemType"] = 4060001,
            ["Num"]=150,
            ["Monopoly"] = 1,
        },
		[3] = {
            ["ItemType"] = 3328813,
            ["Num"]=1,
            ["Monopoly"] = 0,
        },
    },
	[1016] = {
        [1] = {
            ["ItemType"] = 4060001,
            ["Num"]=100,
            ["Monopoly"] = 1,
        },
		[2] = {
            ["ItemType"] = 3328813,
            ["Num"]=1,
            ["Monopoly"] = 0,
        },
    },
	[1017] = {
		[1] = {
            ["ItemType"] = 4060001,
            ["Num"]=50,
            ["Monopoly"] = 1,
        },
    },
}

local DlgInfo = {
    --排行榜界面
        --全服寻宝排行榜界面奖励的索引
        ["RankRewardId1"] = 1013,
        ["RankRewardId2"] = 1014,
        ["RankRewardId3"] = 1015,
        ["RankRewardId4"] = 1016,
        ["RankRewardId5"] = 1017,
        --奖励背景图
        ["RankRewardBg"] = "NewJiuGong_Item6Pic",

        ["RankBg"] = "XunBao_BG9",
        --排行榜右侧排名的图标
        ["RankLev1"] = "JiuGong_no1pic",
        --排行榜右侧排名的图标
        ["RankLev2"] = "JiuGong_no2pic",
        --排行榜右侧排名的图标
        ["RankLev3"] = "JiuGong_no3pic",

        --2~3名图标
        ["RewardLevIcon2"] = "XunBao_pic4",
        --4~10名图标
        ["RewardLevIcon3"] = "XunBao_pic3",
        --11~50名图标
        ["RewardLevIcon4"] = "XunBao_pic2",
        --参与奖图标
        ["RewardLevIcon5"] = "XunBao_pic1",

    --区域数量
        ["PlaceNum"] = #PlaceInfo,

    --宝箱相对于地图的偏移
        ["BoxNumOffsetX"] = 20,
        ["BoxNumOffsetY"] = -15,

    --全服寻宝消耗的物品itemtype
        ["UseItem"] = 3328812,
    --寻宝地图详细信息中奖励物品的底框图片
        ["RewardBg"] = "XunBao_ItemBG",
}

local function GetAllServerDlgInfo(nType)
    return DlgInfo[nType]
end

local function GetPlaceInfo(id, nType)
    return PlaceInfo[id][nType]
end

local function GetPlaceIdByIndex(nIndex)
    local id = PlaceIndex[nIndex]

    if id ~= nil then
        return id
    end

    return 0
end

local function GetRewardItemInfoByIndex(nId, nIndex, nType)
    if nType == "RewardNum" then
        return #RewardInfo[nId]
    else
        return RewardInfo[nId][nIndex + 1][nType]
    end
end

local function IsOpen(year, mon,day,hour,min,second,nType)
    local time = {mon + 1,day,hour,min}
    local timeStamp = year - 100
    for i=1,4,1 do
        timeStamp = timeStamp * 100 + time[i]
    end

	local str = "Time"..math.floor(nType)
    if timeStamp > global_Info[str] then
    	if timeStamp > global_Info["Time2"] then
       		return false
		end	
		return true		
    else
        return false
    end
end

local function GetglobalInfo(nType)
    return global_Info[nType]
end

local function GetHuntTypeByHuntId(nHuntId)
    for i = 1 , Num ,1 do
        if nHuntId == Task[i].id then
            return false
        end
    end

    return true
end

local function GetPersonHuntuID(nHuntId)
    for i = 1 , Num ,1 do
        if nHuntId == Task[i].id then
            return i + 2033 - 1
        end
    end

    return 0
end

local function Unload()
	Task = nil
end

local TreasureHunt = {
    GetTaskInfo = GetTaskInfo,
    GetNum = GetNum,
    GetAllServerDlgInfo = GetAllServerDlgInfo,
    GetPlaceInfo = GetPlaceInfo,
    GetPlaceInfoByIndex = GetPlaceInfoByIndex,
    GetPlaceIdByIndex = GetPlaceIdByIndex,
    GetRewardItemInfoByIndex = GetRewardItemInfoByIndex,
    IsOpen = IsOpen,
    GetglobalInfo = GetglobalInfo,
    GetHuntTypeByHuntId = GetHuntTypeByHuntId,
    GetPersonHuntuID = GetPersonHuntuID,
}

TreasureHunt_GetTaskInfo = TreasureHunt.GetTaskInfo
TreasureHunt_GetNum = TreasureHunt.GetNum
TreasureHunt_GetAllServerDlgInfo = TreasureHunt.GetAllServerDlgInfo
TreasureHunt_GetPlaceIdByIndex = TreasureHunt.GetPlaceIdByIndex
TreasureHunt_GetPlaceInfo = TreasureHunt.GetPlaceInfo
TreasureHunt_GetPlaceInfoByIndex= TreasureHunt.GetPlaceInfoByIndex
TreasureHunt_GetRewardItemInfoByIndex = TreasureHunt.GetRewardItemInfoByIndex
TreasureHunt_IsOpen = TreasureHunt.IsOpen
TreasureHunt_GetglobalInfo = TreasureHunt.GetglobalInfo
TreasureHunt_GetHuntTypeByHuntId = TreasureHunt.GetHuntTypeByHuntId
TreasureHunt_GetPersonHuntuID = TreasureHunt.GetPersonHuntuID
return TreasureHunt



